Start a new topic

Galaxy Watch 4 and Wear OS 3

Will Golf Pad work on the new Galaxy Watch 4 ? Knud

10 people like this idea

Which app version should I have on my galaxy watch 4 for it to be compatible with the latest phone app?

Anyone else having this problem:   On Friday, 12/31, I played a round and the app on Watch still only allowed marking shot (no clubs) but worked on watch and phone and sync'd OK.  Due to announcement on update finally being available, since then I have been trying the app on phone and watch etc. to get the updates working.  When starting the app on the watch, I am getting this message on the watch (even though I have started a round on the phone) - "Please start a round in Golf Pad premium on your phone".  I have restarted both watch and phone.  In digging, I am seeing:  in Play Store on watch (Golf Pad is showing as ver 23) and my app is up to date.  In Play Store on phone, Golf Pad is showing as ver 15.80 and that my app is up to date.  When the app is running on my phone, it shows to be ver 15.79.10.  Since I can't get the app up on the watch, due to error message, I can't check the version on the watch (not sure how to do that anyway on watch).

Checking on question I asked yesterday in this thread being released???

I use the Wear OS 2.3 TicWatch Pro 3 with the app version 23 together with my Galaxy S10 and app version 15.80. Watch and phone communicate well, and I can now track clubs and shot distance.  

It seems to me the app functionality for Wear OS 2 and 3 is the same. No standalone mode, it seems this is  still available only for Tizen. 

But there is a strange behaviour on the watch when in Idle mode. I see on the idle screen wrong hole numbers, hole 9 is displayed as hole 81, hole 14 as hole 131, etc. Further there is no time indication on the idle screen anymore, a clear step back in development or a bug. 

Update on 01/07/2021:


Checked on watch and on phone for possible updates.:

1.  Still getting message "Please start a round in Golf Pad premium on your phone"  on watch.  So I can't check anything in app on watch.

2.  Play store on watch showed and update available of ver 24.  Did the update.  Still getting error message.  So I have no idea what is really installed on watch

3.  How can I check ver installed on watch??  Reason I want to check is what is on phone and on play store do not match.

4.  Phone (play store) shows app was last updated 01/04/22.  And that there is not an update available.

5.  However, ver in play store is 15.81 (showed 15.80 and up to date on 01/05).

6.  Ver in app on phone shows to be 15.79.10. same as it has shown for a while.

7.  Why does ver in app and in playstore not match (even though it shows to be updated)??


From 01/05/2021  "On Friday, 12/31, I played a round and the app on Watch still only allowed marking shot (no clubs) but worked on watch and phone and sync'd OK.  Due to announcement on update finally being available, since then I have been trying the app on phone and watch etc. to get the updates working.  When starting the app on the watch, I am getting this message on the watch (even though I have started a round on the phone) - "Please start a round in Golf Pad premium on your phone".  I have restarted both watch and phone.  In digging, I am seeing:  in Play Store on watch (Golf Pad is showing as ver 23) and my app is up to date.  In Play Store on phone, Golf Pad is showing as ver 15.80 and that my app is up to date.  When the app is running on my phone, it shows to be ver 15.79.10.  Since I can't get the app up on the watch, due to error message, I can't check the version on the watch (not sure how to do that anyway on watch)."


Hello all. Please note we are keeping updates on this blog post: https://golfpadgps.com/news/golf-pad-gps-galaxy-watch4 as well as the forum announcement. Specific issues (like what Beat is describing) should go to support@golfpadgps.com for the fastest response. We do appreciate you posting here, however we can't troubleshoot individual issues via the forum. The watch version should be 23 and the phone version 15.8 or later.